LearnerMaster (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class LearnerMaster

- java.lang.Object
- - org.apache.zookeeper.server.quorum.LearnerMaster

- Direct Known Subclasses:
    Leader, ObserverMaster

      public abstract class LearnerMaster
      extends Object

  interface for keeping Observers in sync

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LearnerMaster()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LearnerSyncThrottler` | `getLearnerDiffSyncThrottler()` diff sync throttler
    `LearnerSyncThrottler` | `getLearnerSnapSyncThrottler()` snap sync throttler
    `int` | `getMaxConcurrentDiffSyncs()`
    `int` | `getMaxConcurrentSnapSyncs()`
    `void` | `setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)`
    `void` | `setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LearnerMaster

          public LearnerMaster()

  - ### Method Detail

    - #### getMaxConcurrentSnapSyncs

          public int getMaxConcurrentSnapSyncs()

    - #### setMaxConcurrentSnapSyncs

          public void setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)

    - #### getMaxConcurrentDiffSyncs

          public int getMaxConcurrentDiffSyncs()

    - #### setMaxConcurrentDiffSyncs

          public void setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)

    - #### getLearnerSnapSyncThrottler

          public LearnerSyncThrottler getLearnerSnapSyncThrottler()

      snap sync throttler
      Returns:
        snapshot throttler

    - #### getLearnerDiffSyncThrottler

          public LearnerSyncThrottler getLearnerDiffSyncThrottler()

      diff sync throttler
      Returns:
        diff throttler

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.